[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: running slapindex doesnt work

--On Wednesday, May 19, 2004 8:30 PM -0700 Ping Wing <z1ngsz0ng@yahoo.com> wrote:


I have openldap 2.0.23 with samba3 and qmail schemas.

OpenLDAP 2.0.23 has reach end of life, and is not generally supported. I suggest you investigate upgrading to a new version of OpenLDAP, which fix many problems over the 2.0 line. Note that this is a major piece of work to do, but is well worth the effort.

The only real thing I would suggest doing in your case is slapcat your DB to an LDIF file, delete your old DB, and then slapadd the LDIF file back in. I never use slapindex myself.


Quanah Gibson-Mount
Principal Software Developer
ITSS/TSS/Computing Systems
ITSS/TSS/Infrastructure Operations
Stanford University
GnuPG Public Key: http://www.stanford.edu/~quanah/pgp.html